plot.glofastimeseries=function(observed,leadtime){
observed=read.csv(observed)

forecastdates=as.Date(c(1:2830)+13969+leadtime,origin="1970-01-01")

forecastdata=output$forecastdata[,,leadtime]
forecastmin=apply(forecastdata,c(1),min)
forecastmax=apply(forecastdata,c(1),max)
forecastmean=apply(forecastdata,c(1),mean)

plot(forecastdates,forecastmin,type='l',xlim=c(13970,2830+13969),ylim=c(0,max(output$forecastdata[,1,leadtime],na.rm=TRUE)),xlab="Date",
     ylab="Flow (m3/s)",col="grey")
lines(forecastdates,forecastmean,col="black")
lines(forecastdates,forecastmax,col="grey")

lines(forecastdates,observed[,1],col="red")

legend(15000,quantile(output$forecastdata[,1,leadtime],0.999,na.rm=TRUE),c("Forecast Minimum","Forecast Mean","Forecast Maximum","Observed"),col=c("Grey","Black","Grey","Red"),lty=1,lwd=2,bty="n")

}